commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@gmx.de>
Subject Re: [VFS] Build problem
Date Tue, 19 Oct 2010 07:18:47 GMT
Hi James,

James Carman wrote:

> I have version 1024102, but the mvn site fails for me, too (I'm
> running maven 3.0) .  Here's the output:
> 
> [INFO] Scanning for projects...
> [WARNING]
> [WARNING] Some problems were encountered while building the effective
> model for org.apache.commons:commons-vfs:jar:2.0-S
> NAPSHOT
> [WARNING] 'build.plugins.plugin.version' for
> org.apache.maven.plugins:maven-idea-plugin is missing. @
> org.apache.commons
> :commons-parent:17, line 317, column 15

M3 complains about plugins that do not have pinned down versions. IMHO this 
is nonsense for plugins like Eclipse or IDEA - so ignore it.

> [WARNING] 'repositories.repository.layout' for apache.m1 uses the
> unsupported value 'legacy', artifact resolution might
> fail. @ org.apache.commons:commons-vfs-project:2.0-SNAPSHOT,
> C:\Users\jcarman\IdeaProjects\commons-vfs\pom.xml, line 424
> , column 15

This is more serious. M3 does no longer support the repo layout for M1 and 
there is somewhere in the POM (hierarchy) such a repo. Look at 
help:effective-pom and search for legacy to get an idea where this is coming 
from.

> [WARNING]
> [WARNING] Some problems were encountered while building the effective
> model for org.apache.commons:commons-vfs-examples:
> jar:2.0-SNAPSHOT
> [WARNING] 'build.plugins.plugin.version' for
> org.apache.maven.plugins:maven-idea-plugin is missing. @
> org.apache.commons
> :commons-parent:17, line 317, column 15
> [WARNING] 'repositories.repository.layout' for apache.m1 uses the
> unsupported value 'legacy', artifact resolution might
> fail. @ org.apache.commons:commons-vfs-project:2.0-SNAPSHOT,
> C:\Users\jcarman\IdeaProjects\commons-vfs\pom.xml, line 424
> , column 15
> [WARNING]
> [WARNING] Some problems were encountered while building the effective
> model for org.apache.commons:commons-vfs-sandbox:j
> ar:2.0-SNAPSHOT
> [WARNING] 'build.plugins.plugin.version' for
> org.apache.maven.plugins:maven-idea-plugin is missing. @
> org.apache.commons
> :commons-parent:17, line 317, column 15
> [WARNING] 'repositories.repository.layout' for apache.m1 uses the
> unsupported value 'legacy', artifact resolution might
> fail. @ org.apache.commons:commons-vfs-project:2.0-SNAPSHOT,
> C:\Users\jcarman\IdeaProjects\commons-vfs\pom.xml, line 424
> , column 15
> [WARNING]
> [WARNING] Some problems were encountered while building the effective
> model for org.apache.commons:commons-vfs-project:p
> om:2.0-SNAPSHOT
> [WARNING] 'build.plugins.plugin.version' for
> org.apache.maven.plugins:maven-idea-plugin is missing. @
> org.apache.commons
> :commons-parent:17, line 317, column 15
> [WARNING] 'repositories.repository.layout' for apache.m1 uses the
> unsupported value 'legacy', artifact resolution might
> fail. @ line 424, column 15
> [WARNING]
> [WARNING] It is highly recommended to fix these problems because they
> threaten the stability of your build.
> [WARNING]
> [WARNING] For this reason, future Maven versions might no longer
> support building such malformed projects.
> [WARNING]
> [INFO]
> [------------------------------------------------------------------------
> [INFO] Reactor Build Order: INFO]
> [INFO] Commons VFS
> [INFO] Commons VFS Core
> [INFO] Commons VFS Examples
> [INFO] Commons VFS Sandbox
> [INFO]
> [INFO]
> [------------------------------------------------------------------------
> [INFO] Building Commons VFS 2.0-SNAPSHOT INFO]
> [------------------------------------------------------------------------
> [INFO] INFO] --- maven-site-plugin:2.0.1:site (default-site) @
> [commons-vfs-project --- INFO] Unable to load parent project from a
> [relative path: 1 problem
> was encountered while building the effective model
> [FATAL] Non-readable POM C:\Users\jcarman\IdeaProjects\pom.xml:
> C:\Users\jcarman\IdeaProjects\pom.xml (The system cannot
>  find the file specified) @
>  for project  at C:\Users\jcarman\IdeaProjects\pom.xml for project  at
> C:\Users\jcarman\IdeaProjects\pom.xml

This version of the site plugin is not compatible to M3. See 
https://cwiki.apache.org/MAVEN/maven-3x-compatibility-
notes.html#Maven3.xCompatibilityNotes-SiteandReporting

We have to switch between site-plugin versions based on M3 with a profile. 
But IIRF something like this has already been added to some commons parent 
... 

[snip]

- Jörg


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message